This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1012869 - [abrt] gtk-redshift-1.7-5.fc19: PyErr_Occurred: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] gtk-redshift-1.7-5.fc19: PyErr_Occurred: Process /usr/bin/python2.7 wa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: redshift (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miloš Komarčević
Fedora Extras Quality Assurance
abrt_hash:50e572e753e4f16045ec15b2e31...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 05:44 EDT by daramas444
Modified: 2015-02-17 12:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:22:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.39 KB, text/plain)
2013-09-27 05:44 EDT, daramas444
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-27 05:45 EDT, daramas444
no flags Details
File: core_backtrace (15.25 KB, text/plain)
2013-09-27 05:45 EDT, daramas444
no flags Details
File: dso_list (9.67 KB, text/plain)
2013-09-27 05:45 EDT, daramas444
no flags Details
File: environ (1.73 KB, text/plain)
2013-09-27 05:45 EDT, daramas444
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-27 05:45 EDT, daramas444
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-27 05:45 EDT, daramas444
no flags Details
File: maps (47.89 KB, text/plain)
2013-09-27 05:45 EDT, daramas444
no flags Details
File: open_fds (1.05 KB, text/plain)
2013-09-27 05:45 EDT, daramas444
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-09-27 05:45 EDT, daramas444
no flags Details
File: var_log_messages (1.22 KB, text/plain)
2013-09-27 05:46 EDT, daramas444
no flags Details

  None (edit)
Description daramas444 2013-09-27 05:44:45 EDT
Description of problem:
gtk-redshift is launched
right clic on the icon in the toolbar, quit
get this crash

repetable every single time

Version-Release number of selected component:
gtk-redshift-1.7-5.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        python /usr/bin/gtk-redshift
crash_function: PyErr_Occurred
executable:     /usr/bin/python2.7
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 PyErr_Occurred at /usr/src/debug/Python-2.7.5/Python/errors.c:80
 #1 collect at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1097
 #2 PyGC_Collect at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1514
 #3 Py_Finalize at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:444
 #4 Py_Main at /usr/src/debug/Python-2.7.5/Modules/main.c:665
 #5 __libc_start_main at libc-start.c:274
 #6 _start
Comment 1 daramas444 2013-09-27 05:44:59 EDT
Created attachment 803841 [details]
File: backtrace
Comment 2 daramas444 2013-09-27 05:45:15 EDT
Created attachment 803842 [details]
File: cgroup
Comment 3 daramas444 2013-09-27 05:45:19 EDT
Created attachment 803843 [details]
File: core_backtrace
Comment 4 daramas444 2013-09-27 05:45:22 EDT
Created attachment 803844 [details]
File: dso_list
Comment 5 daramas444 2013-09-27 05:45:25 EDT
Created attachment 803845 [details]
File: environ
Comment 6 daramas444 2013-09-27 05:45:30 EDT
Created attachment 803846 [details]
File: exploitable
Comment 7 daramas444 2013-09-27 05:45:34 EDT
Created attachment 803847 [details]
File: limits
Comment 8 daramas444 2013-09-27 05:45:39 EDT
Created attachment 803848 [details]
File: maps
Comment 9 daramas444 2013-09-27 05:45:53 EDT
Created attachment 803849 [details]
File: open_fds
Comment 10 daramas444 2013-09-27 05:45:58 EDT
Created attachment 803850 [details]
File: proc_pid_status
Comment 11 daramas444 2013-09-27 05:46:03 EDT
Created attachment 803851 [details]
File: var_log_messages
Comment 12 Valent Turkovic 2013-10-16 09:13:24 EDT
Hi guys,
I just saw this issue on Ubuntu bugtracker:
https://bugs.launchpad.net/ubuntu/+source/redshift/+bug/868904

Issue is with missing geoclue-hostip as dependency...

Could this also be issue in Fedora?
Comment 13 Fedora End Of Life 2015-01-09 15:00:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 12:22:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.